Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.variable
Class PlanningValueSorter

    java.lang.Object
      org.drools.planner.core.domain.variable.PlanningValueSorter

Deprecated.

    @Deprecated
    public class PlanningValueSorter

extends Object

Constructor Summary
`PlanningValueSorter()` Deprecated.

Method Summary
`boolean` | `isSortStrengthSupported()` Deprecated.
`void` | `setStrengthComparator(Comparator<Object> strengthComparator)` Deprecated.
`void` | `setStrengthWeightFactory(SelectionSorterWeightFactory strengthWeightFactory)` Deprecated.
`void` | `sortStrengthAscending(Solution solution, List<Object> planningValueList)` Deprecated.
`void` | `sortStrengthDescending(Solution solution, List<Object> planningEntityList)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanningValueSorter

    public PlanningValueSorter()

  Deprecated.

Method Detail

### setStrengthComparator

    public void setStrengthComparator(Comparator<Object> strengthComparator)

  Deprecated.

### setStrengthWeightFactory

    public void setStrengthWeightFactory(SelectionSorterWeightFactory strengthWeightFactory)

  Deprecated.

### isSortStrengthSupported

    public boolean isSortStrengthSupported()

  Deprecated.

### sortStrengthAscending

    public void sortStrengthAscending(Solution solution,
                                      List<Object> planningValueList)

  Deprecated.

### sortStrengthDescending

    public void sortStrengthDescending(Solution solution,
                                       List<Object> planningEntityList)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.